## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global glib2_version 2.68.0
%global gobject_introspection_version 1.72.0
%global mozjs128_version 128.11.0

Name:           gjs
Version:        1.85.1
Release:        1%{?dist}
Summary:        Javascript Bindings for GNOME

# The following files contain code from Mozilla which
# is triple licensed under MPL-1.1/GPL-2.0-or-later/LGPL-2.1-or-later:
# The console module (modules/console.c)
# Stack printer (gjs/stack.c)
# modules/esm/_encoding/util.js and few other things are MIT
# modules/script/tweener/equations.js is BSD-3-Clause
License:        MIT AND BSD-3-Clause AND (MIT OR LGPL-2.0-or-later) AND (MPL-1.1 OR GPL-2.0-or-later OR LGPL-2.1-or-later)
URL:            https://wiki.gnome.org/Projects/Gjs
Source0:        https://download.gnome.org/sources/%{name}/1.85/%{name}-%{version}.tar.xz

# gobject-introspection-tests s390x backport
Patch:          s390x-tests-fix.patch

BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  gettext
BuildRequires:  readline-devel
BuildRequires:  pkgconfig(cairo-gobject)
BuildRequires:  pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= %{gobject_introspection_version}
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(mozjs-128) >= %{mozjs128_version}
BuildRequires:  pkgconfig(sysprof-capture-4)
# For GTK+ 3 tests
BuildRequires:  gtk3
# For dbus tests
BuildRequires:  /usr/bin/dbus-run-session
#dbus-x11, xwfb, mesa-dri-drivers for test suite
BuildRequires:  dbus-x11
BuildRequires:  mesa-dri-drivers
BuildRequires:  mutter
BuildRequires:  xwayland-run

Requires: glib2%{?_isa} >= %{glib2_version}
Requires: gobject-introspection%{?_isa} >= %{gobject_introspection_version}
Requires: mozjs128%{?_isa} >= %{mozjs128_version}

%description
Gjs allows using GNOME libraries from Javascript. It's based on the
Spidermonkey Javascript engine from Mozilla and the GObject introspection
framework.

%package devel
Summary: Development package for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package tests
Summary: Tests for the gjs package
# installed-tests/js/modules/encodings.json is BSD-3-Clause
License: MIT AND (MIT OR LGPL-2.0-or-later) AND BSD-3-Clause
Requires: %{name}%{?_isa} = %{version}-%{release}

%description tests
The gjs-tests package contains tests that can be used to verify
the functionality of the installed gjs package.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%{shrink:xwfb-run -c mutter -- %meson_test --timeout-multiplier=5}

%files
%license COPYING
%doc NEWS README.md
%{_bindir}/gjs
%{_bindir}/gjs-console
%{_libdir}/gjs/
%{_libdir}/libgjs.so.0*

%files devel
%doc examples/*
%{_includedir}/gjs-1.0
%{_libdir}/pkgconfig/gjs-1.0.pc
%{_libdir}/libgjs.so
%dir %{_datadir}/gjs-1.0
%{_datadir}/gjs-1.0/lsan/
%{_datadir}/gjs-1.0/valgrind/

%files tests
%{_libexecdir}/installed-tests/
%{_datadir}/glib-2.0/schemas/org.gnome.GjsTest.gschema.xml
%{_datadir}/installed-tests/

%changelog
## START: Generated by rpmautospec
* Fri Jul 11 2025 František Zatloukal <fzatlouk@redhat.com> - 1.85.1-2
- s390x fixes

* Fri Jul 04 2025 Milan Crha <mcrha@redhat.com> - 1.85.1-1
- Update to 1.85.1

* Mon Apr 14 2025 nmontero <nmontero@redhat.com> - 1.84.2-1
- Update to 1.84.2

* Thu Mar 27 2025 František Zatloukal <fzatlouk@redhat.com> - 1.84.1-1
- Update to 1.84.1

* Mon Mar 03 2025 nmontero <nmontero@redhat.com> - 1.83.90-1
- Update to 1.83.90

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.82.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Dec 11 2024 František Zatloukal <fzatlouk@redhat.com> - 1.82.1-3
- Rebuild against mozjs128-128.5.1-1

* Thu Oct 31 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 1.82.1-2
- Replace Xvfb dependency with xwayland-run

* Mon Oct 21 2024 nmontero <nmontero@redhat.com> - 1.82.1-1
- Update to 1.82.1

* Tue Oct 15 2024 Adam Williamson <awilliam@redhat.com> - 1.82.0-2
- Backport MR #955 to fix user switch crasher (#2319028)

* Wed Sep 18 2024 nmontero <nmontero@redhat.com> - 1.82.0-1
- Update to 1.82.0

* Mon Sep 09 2024 David King <amigadave@amigadave.com> - 1.81.90-2
- Add upstream patch to fix i686 tests

* Mon Sep 02 2024 David King <amigadave@amigadave.com> - 1.81.90-1
- Update to 1.81.90

* Fri Aug 09 2024 nmontero <nmontero@redhat.com> - 1.81.2-1
- Update to 1.81.2

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.81.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jul 04 2024 David King <amigadave@amigadave.com> - 1.81.1-1
- Update to 1.81.1

* Sun Jun 23 2024 František Zatloukal <fzatlouk@redhat.com> - 1.80.2-2
- Rebuild against mozjs115-115.12.0-1

* Tue Mar 26 2024 David King <amigadave@amigadave.com> - 1.80.2-1
- Update to 1.80.2

* Thu Mar 07 2024 David King <amigadave@amigadave.com> - 1.79.90-1
- Update to 1.79.90

* Sat Feb 17 2024 David King <amigadave@amigadave.com> - 1.79.3-1
- Update to 1.79.3

* Mon Feb 12 2024 František Zatloukal <fzatlouk@redhat.com> - 1.79.2-3
- Rebuild against mozjs115-115.7.0-1

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.79.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 David King <amigadave@amigadave.com> - 1.79.2-1
- Update to 1.79.2

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.78.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Kalev Lember <klember@redhat.com> - 1.78.2-1
- Update to 1.78.2

* Wed Dec 27 2023 Miroslav Suchý <msuchy@redhat.com> - 1.78.1-3
- Migrate to SPDX license

* Sat Dec 23 2023 František Zatloukal <fzatlouk@redhat.com> - 1.78.1-2
- Rebuild against mozjs115-115.6.0-1

* Wed Dec 06 2023 Kalev Lember <klember@redhat.com> - 1.78.1-1
- Update to 1.78.1

* Tue Nov 07 2023 František Zatloukal <fzatlouk@redhat.com> - 1.78.0-3
- Rebuild against mozjs115-115.4.0-1

* Fri Sep 29 2023 František Zatloukal <fzatlouk@redhat.com> - 1.78.0-2
- Rebuild against mozjs115-115.3.1-1

* Tue Sep 19 2023 Kalev Lember <klember@redhat.com> - 1.78.0-1
- Update to 1.78.0

* Tue Sep 05 2023 Kalev Lember <klember@redhat.com> - 1.77.90-1
- Update to 1.77.90

* Thu Aug 10 2023 Kalev Lember <klember@redhat.com> - 1.77.2-1
- Update to 1.77.2
- Switch to mozjs115

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.77.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 03 2023 Kalev Lember <klember@redhat.com> - 1.77.1-1
- Update to 1.77.1

* Thu Jun 15 2023 David King <amigadave@amigadave.com> - 1.76.2-1
- Update to 1.76.2

* Tue Jun 13 2023 David King <amigadave@amigadave.com> - 1.76.1-1
- Update to 1.76.1

* Sun Jun 11 2023 František Zatloukal <fzatlouk@redhat.com> - 1.76.0-2
- Rebuild against mozjs102-102.12.0-1

* Sun Mar 19 2023 David King <amigadave@amigadave.com> - 1.76.0-1
- Update to 1.76.0

* Tue Mar 14 2023 František Zatloukal <fzatlouk@redhat.com> - 1.75.90-3
- Release bump

* Tue Mar 14 2023 František Zatloukal <fzatlouk@redhat.com> - 1.75.90-2
- Rebuild against mozjs102-102.9.0-1

* Mon Mar 06 2023 David King <amigadave@amigadave.com> - 1.75.90-1
- Update to 1.75.90

* Thu Feb 23 2023 David King <amigadave@amigadave.com> - 1.75.2-2
- Fix build when char and signed char differ

* Thu Feb 23 2023 David King <amigadave@amigadave.com> - 1.75.2-1
- Update to 1.75.2

* Sat Feb 18 2023 František Zatloukal <fzatlouk@redhat.com> - 1.75.1-6
- Rebuild against mozjs102-102.8.0-1

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.75.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 16 2023 František Zatloukal <fzatlouk@redhat.com> - 1.75.1-4
- Pull in mesa-dri-drivers and dbus-x11 to fix the testsuite

* Mon Jan 16 2023 František Zatloukal <fzatlouk@redhat.com> - 1.75.1-3
- Rebuild against mozjs102-102.7.0-1

* Tue Dec 13 2022 František Zatloukal <fzatlouk@redhat.com> - 1.75.1-2
- Rebuild against mozjs102-102.6.0-1

* Wed Nov 23 2022 David King <amigadave@amigadave.com> - 1.75.1-1
- Update to 1.75.1

* Wed Nov 16 2022 František Zatloukal <fzatlouk@redhat.com> - 1.74.1-2
- Rebuild against mozjs102-102.5.0-1

* Sun Oct 30 2022 David King <amigadave@amigadave.com> - 1.74.1-1
- Update to 1.74.1

* Wed Oct 19 2022 František Zatloukal <fzatlouk@redhat.com> - 1.74.0-4
- Rebuild against mozjs102-102.4.0-1

* Tue Sep 27 2022 Kalev Lember <klember@redhat.com> - 1.74.0-3
- Rebuild to fix sysprof-capture symbols leaking into libraries consuming
  it

* Thu Sep 22 2022 František Zatloukal <fzatlouk@redhat.com> - 1.74.0-2
- Rebuild against mozjs102-102.3.0-1

* Wed Sep 21 2022 Kalev Lember <klember@redhat.com> - 1.74.0-1
- Update to 1.74.0

* Tue Aug 23 2022 František Zatloukal <fzatlouk@redhat.com> - 1.73.2-4
- Rebuild against mozjs102-102.2.0-1

* Thu Aug 11 2022 Kalev Lember <klember@redhat.com> - 1.73.2-3
- Drop an obsolete 32-bit ARM conditional

* Wed Aug 10 2022 Kalev Lember <klember@redhat.com> - 1.73.2-2
- BR gtk3 instead of gtk3-devel for tests

* Wed Aug 10 2022 Kalev Lember <klember@redhat.com> - 1.73.2-1
- Update to 1.73.2
- Switch to mozjs102

* Wed Jul 27 2022 František Zatloukal <fzatlouk@redhat.com> - 1.73.1-3
- Rebuild against mozjs91-91.12.0-1

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.73.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Kalev Lember <klember@redhat.com> - 1.73.1-1
- Update to 1.73.1

* Wed Jul 06 2022 David King <amigadave@amigadave.com> - 1.72.1-1
- Update to 1.72.1

* Mon Jun 27 2022 František Zatloukal <fzatlouk@redhat.com> - 1.72.0-5
- Rebuild against mozjs91-91.11.0-1

* Tue Jun 14 2022 František Zatloukal <fzatlouk@redhat.com> - 1.72.0-4
- Rebuild against mozjs91-91.10.0-1

* Sun May 08 2022 František Zatloukal <fzatlouk@redhat.com> - 1.72.0-3
- Rebuild against mozjs91-91.9.0-1

* Sat Apr 09 2022 František Zatloukal <fzatlouk@redhat.com> - 1.72.0-2
- Rebuild against mozjs91-91.8.0-1

* Sun Mar 20 2022 David King <amigadave@amigadave.com> - 1.72.0-1
- Update to 1.72.0

* Tue Mar 15 2022 David King <amigadave@amigadave.com> - 1.71.90-1
- Update to 1.71.90

* Tue Mar 08 2022 František Zatloukal <fzatlouk@redhat.com> - 1.71.1-8
- Rebuild against mozjs91-91.7.0-1

* Wed Feb 23 2022 David King <amigadave@amigadave.com> - 1.71.1-7
- Add patch to fix AppIndicator extension crash

* Mon Feb 21 2022 David King <amigadave@amigadave.com> - 1.71.1-6
- Fix 32-bit GI marshalling test

* Sun Feb 20 2022 František Zatloukal <fzatlouk@redhat.com> - 1.71.1-5
- Rebuild against mozjs91-91.6.0-1

* Wed Feb 16 2022 Adam Williamson <awilliam@redhat.com> - 1.71.1-4
- Disable another test that fails on 32-bit ARM

* Wed Feb 16 2022 Adam Williamson <awilliam@redhat.com> - 1.71.1-3
- Disable a failing test on i686 for now

* Wed Feb 16 2022 David King <amigadave@amigadave.com> - 1.71.1-2
- Relax cairo extents test

* Tue Feb 15 2022 David King <amigadave@amigadave.com> - 1.71.1-1
- Update to 1.71.1

* Tue Feb 08 2022 David King <amigadave@amigadave.com> - 1.70.1-2
- Use pkgconfig for BuildRequires

* Tue Feb 08 2022 David King <amigadave@amigadave.com> - 1.70.1-1
- Update to 1.70.1

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.70.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 08 2022 Miro Hrončok <miro@hroncok.cz> - 1.70.0-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/LIBFFI34

* Mon Oct 04 2021 František Zatloukal <fzatlouk@redhat.com> - 1.70.0-3
- Increase tests timeout, Rebuild against mozjs78-78.15.0-1

* Mon Sep 27 2021 František Zatloukal <fzatlouk@redhat.com> - 1.70.0-2
- Rebuild against mozjs78-78.14.0-1

* Sat Sep 18 2021 Kalev Lember <klember@redhat.com> - 1.70.0-1
- Update to 1.70.0

* Wed Sep 08 2021 Kalev Lember <klember@redhat.com> - 1.69.90-1
- Update to 1.69.90

* Tue Aug 17 2021 Kalev Lember <klember@redhat.com> - 1.69.2-1
- Update to 1.69.2

* Sun Aug 15 2021 Kalev Lember <klember@redhat.com> - 1.68.3-1
- Update to 1.68.3

* Mon Aug 09 2021 František Zatloukal <fzatlouk@redhat.com> - 1.68.1-7
- Rebuild against mozjs78-78.13.0-1

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.68.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 13 2021 František Zatloukal <fzatlouk@redhat.com> - 1.68.1-5
- Rebuild against mozjs78-78.12.0-1

* Wed Jun 02 2021 František Zatloukal <fzatlouk@redhat.com> - 1.68.1-4
- Rebuild against mozjs78-78.11.0-1

* Mon May 17 2021 Kalev Lember <klember@redhat.com> - 1.68.1-3
- Remove private library filtering as we don't have any

* Mon May 17 2021 Kalev Lember <klember@redhat.com> - 1.68.1-2
- Tweak whitespace

* Thu May 06 2021 Kalev Lember <klember@redhat.com> - 1.68.1-1
- Update to 1.68.1

* Tue Apr 20 2021 František Zatloukal <fzatlouk@redhat.com> - 1.68.0-6
- Rebuild against mozjs78-78.10.0-1

* Mon Mar 29 2021 Adam Williamson <awilliam@redhat.com> - 1.68.0-5
- Backport several bugfixes from upstream main branch

* Fri Mar 26 2021 Kalev Lember <klember@redhat.com> - 1.68.0-4
- Rebuild to fix sysprof-capture symbols leaking into libraries consuming
  it

* Thu Mar 25 2021 František Zatloukal <fzatlouk@redhat.com> - 1.68.0-3
- Rebuild against mozjs78-78.9.0-1

* Mon Mar 22 2021 Kalev Lember <klember@redhat.com> - 1.68.0-2
- Tighten soname globs

* Mon Mar 22 2021 Kalev Lember <klember@redhat.com> - 1.68.0-1
- Update to 1.68.0

* Sat Mar 20 2021 Adam Williamson <awilliam@redhat.com> - 1.67.3-5
- Replace MR #585 reversion with MR #588, hopefully correct fix

* Fri Mar 19 2021 Adam Williamson <awilliam@redhat.com> - 1.67.3-4
- Patches to revert MR #585 to work around frequent crash on unlock

* Mon Mar 15 2021 Kalev Lember <klember@redhat.com> - 1.67.3-3
- Further simplify xvfb-run invocation

* Mon Mar 15 2021 Kalev Lember <klember@redhat.com> - 1.67.3-2
- Re-enable the tests on i686

* Mon Mar 15 2021 Kalev Lember <klember@redhat.com> - 1.67.3-1
- Update to 1.67.3

* Wed Feb 24 2021 Kalev Lember <klember@redhat.com> - 1.67.2-5
- BR sysprof-capture-devel rather than sysprof-devel

* Tue Feb 23 2021 František Zatloukal <fzatlouk@redhat.com> - 1.67.2-4
- Disable tests on i686

* Tue Feb 23 2021 František Zatloukal <fzatlouk@redhat.com> - 1.67.2-3
- Rebuild against mozjs78-78.8.0-1

* Wed Feb 17 2021 Kalev Lember <klember@redhat.com> - 1.67.2-2
- Fix the build

* Wed Feb 17 2021 Kalev Lember <klember@redhat.com> - 1.67.2-1
- Update to 1.67.2

* Wed Feb 17 2021 Kalev Lember <klember@redhat.com> - 1.67.1-4
- Further simplify xvfb-run invocation

* Tue Jan 26 2021 Kalev Lember <klember@redhat.com> - 1.67.1-3
- Simplify xvfb-run invocation

* Tue Jan 26 2021 František Zatloukal <fzatlouk@redhat.com> - 1.67.1-2
- Enable running tests during rpm build

* Tue Jan 26 2021 František Zatloukal <fzatlouk@redhat.com> - 1.67.1-1
- Update to 1.67.1

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.66.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 16 2021 Kalev Lember <klember@redhat.com> - 1.66.2-1
- Update to 1.66.2

* Tue Dec 15 2020 František Zatloukal <fzatlouk@redhat.com> - 1.66.1-5
- Rebuild against mozjs78-78.6.0-1

* Wed Nov 18 2020 František Zatloukal <fzatlouk@redhat.com> - 1.66.1-4
- Rebuild against mozjs78-78.5.0-1

* Sat Oct 31 2020 Jeff Law <law@redhat.com> - 1.66.1-3
- Fix bogus volatiles caught by gcc-11

* Mon Oct 19 2020 František Zatloukal <fzatlouk@redhat.com> - 1.66.1-2
- Rebuild against mozjs78-78.4.0-1

* Fri Oct 09 2020 Kalev Lember <klember@redhat.com> - 1.66.1-1
- Update to 1.66.1

* Tue Sep 22 2020 František Zatloukal <fzatlouk@redhat.com> - 1.66.0-2
- Rebuild against mozjs78-78.3.0-1

* Sat Sep 12 2020 Kalev Lember <klember@redhat.com> - 1.66.0-1
- Update to 1.66.0

* Sun Sep 06 2020 Kalev Lember <klember@redhat.com> - 1.65.92-1
- Update to 1.65.92

* Fri Aug 28 2020 Adam Williamson <awilliam@redhat.com> - 1.65.91-3
- Backport MR #483 to fix frequent g_variant_unref errors in journal

* Mon Aug 24 2020 František Zatloukal <fzatlouk@redhat.com> - 1.65.91-2
- Rebuild against mozjs78-78.2.0-1

* Sun Aug 23 2020 Kalev Lember <klember@redhat.com> - 1.65.91-1
- Update to 1.65.91

* Mon Aug 17 2020 František Zatloukal <fzatlouk@redhat.com> - 1.65.90-2
- Bump required mozjs78 version

* Mon Aug 17 2020 František Zatloukal <fzatlouk@redhat.com> - 1.65.90-1
- Update to 1.65.90

* Fri Jul 31 2020 František Zatloukal <fzatlouk@redhat.com> - 1.65.4-3
- Rebuild against mozjs68-68.11.0-1

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.65.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 20 2020 Kalev Lember <klember@redhat.com> - 1.65.4-1
- Update to 1.65.4

* Tue Jun 30 2020 František Zatloukal <fzatlouk@redhat.com> - 1.65.3-2
- Rebuild against mozjs68-68.10.0-1

* Fri Jun 05 2020 Kalev Lember <klember@redhat.com> - 1.65.3-1
- Update to 1.65.3

* Tue Jun 02 2020 František Zatloukal <fzatlouk@redhat.com> - 1.65.2-3
- Rebuild against mozjs68-68.9.0-1

* Tue May 12 2020 František Zatloukal <fzatlouk@redhat.com> - 1.65.2-2
- Rebuild against mozjs68-68.8.0-1

* Tue May 05 2020 Kalev Lember <klember@redhat.com> - 1.65.2-1
- Update to 1.65.2

* Tue Apr 07 2020 František Zatloukal <fzatlouk@redhat.com> - 1.65.1-2
- Rebuild against mozjs68-68.7.0-1

* Sat Mar 28 2020 Kalev Lember <klember@redhat.com> - 1.65.1-1
- Update to 1.65.1

* Sat Mar 28 2020 Kalev Lember <klember@redhat.com> - 1.64.1-1
- Update to 1.64.1

* Tue Mar 17 2020 František Zatloukal <fzatlouk@redhat.com> - 1.64.0-2
- Rebuild against mozjs68-68.6.0-2

* Sun Mar 08 2020 Kalev Lember <klember@redhat.com> - 1.64.0-1
- Update to 1.64.0

* Mon Mar 02 2020 Kalev Lember <klember@redhat.com> - 1.63.92-1
- Update to 1.63.92

* Tue Feb 18 2020 Kalev Lember <klember@redhat.com> - 1.63.91-1
- Update to 1.63.91

* Mon Feb 03 2020 Kalev Lember <klember@redhat.com> - 1.63.90-1
- Update to 1.63.90
- Switch to building with mozjs68

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.63.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 08 2020 Kalev Lember <klember@redhat.com> - 1.63.3-2
- Remove a few leftovers from autotools build

* Wed Jan 08 2020 Kalev Lember <klember@redhat.com> - 1.63.3-1
- Update to 1.63.3

* Thu Dec 12 2019 Florian Müllner <fmuellner@gnome.org> - 1.63.2-2
- Use meson build system

* Wed Dec 11 2019 Florian Müllner <fmuellner@gnome.org> - 1.63.2-1
- Update to 1.63.2

* Wed Nov 27 2019 Kalev Lember <klember@redhat.com> - 1.58.3-1
- Update to 1.58.3

* Mon Oct 07 2019 Kalev Lember <klember@redhat.com> - 1.58.1-1
- Update to 1.58.1

* Sun Sep 08 2019 Kalev Lember <klember@redhat.com> - 1.58.0-1
- Update to 1.58.0

* Wed Sep 04 2019 Kalev Lember <klember@redhat.com> - 1.57.92-2
- Rebuild against mozjs60 60.9.0

* Tue Sep 03 2019 Kalev Lember <klember@redhat.com> - 1.57.92-1
- Update to 1.57.92

* Mon Aug 19 2019 Kalev Lember <klember@redhat.com> - 1.57.91-1
- Update to 1.57.91

* Mon Aug 12 2019 Kalev Lember <klember@redhat.com> - 1.57.90-1
- Update to 1.57.90

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.57.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 19 2019 Kalev Lember <klember@redhat.com> - 1.57.4-1
- Update to 1.57.4
- Enable sysprof capture support

* Tue Jul 09 2019 František Zatloukal <fzatlouk@redhat.com> - 1.57.3-3
- Rebuild against mozjs60 60.8.0

* Sat Jun 22 2019 František Zatloukal <fzatlouk@redhat.com> - 1.57.3-2
- Rebuild against mozjs60 60.7.2

* Thu Jun 20 2019 Kalev Lember <klember@redhat.com> - 1.57.3-1
- Update to 1.57.3

* Wed Jun 19 2019 František Zatloukal <fzatlouk@redhat.com> - 1.57.2-3
- Rebuild against mozjs60 60.7.1

* Tue May 21 2019 Kalev Lember <klember@redhat.com> - 1.57.2-2
- Rebuild against mozjs60 60.7.0

* Tue May 21 2019 Kalev Lember <klember@redhat.com> - 1.57.2-1
- Update to 1.57.2

* Thu May 09 2019 Kalev Lember <klember@redhat.com> - 1.57.1-1
- Update to 1.57.1

* Wed May 08 2019 Kalev Lember <klember@redhat.com> - 1.56.2-1
- Update to 1.56.2

* Mon Apr 15 2019 František Zatloukal <fzatlouk@redhat.com> - 1.56.1-2
- Rebuild against mozjs60-60.6.1

* Mon Apr 08 2019 Kalev Lember <klember@redhat.com> - 1.56.1-1
- Update to 1.56.1

* Tue Mar 12 2019 Kalev Lember <klember@redhat.com> - 1.56.0-1
- Update to 1.56.0

* Tue Mar 05 2019 Kalev Lember <klember@redhat.com> - 1.55.92-1
- Update to 1.55.92

* Mon Feb 18 2019 Kalev Lember <klember@redhat.com> - 1.55.91-1
- Update to 1.55.91

* Sun Feb 17 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.55.90-3
- Rebuild for readline 8.0

* Thu Feb 14 2019 František Zatloukal <fzatlouk@redhat.com> - 1.55.90-2
- Rebuild against mozjs60 built by GCC9: ABI change detected by
  Taskotron/abicheck

* Tue Feb 05 2019 Kalev Lember <klember@redhat.com> - 1.55.90-1
- Update to 1.55.90

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.55.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 08 2019 Kalev Lember <klember@redhat.com> - 1.55.4-2
- Sort BRs

* Tue Jan 08 2019 Kalev Lember <klember@redhat.com> - 1.55.4-1
- Update to 1.55.4

* Wed Jan 02 2019 František Zatloukal <fzatlouk@redhat.com> - 1.55.1-3
- Add BR dbus-daemon to fix running tests on Rawhide

* Wed Jan 02 2019 František Zatloukal <fzatlouk@redhat.com> - 1.55.1-2
- Rebuilt against mozjs60 60.4.0

* Tue Oct 09 2018 Kalev Lember <klember@redhat.com> - 1.55.1-1
- Update to 1.55.1

* Fri Oct 05 2018 Kalev Lember <klember@redhat.com> - 1.54.1-2
- Rebuilt against mozjs60 60.2.2

* Mon Sep 24 2018 Kalev Lember <klember@redhat.com> - 1.54.1-1
- Update to 1.54.1

* Thu Sep 13 2018 Kalev Lember <klember@redhat.com> - 1.54.0-4
- Rebuilt against mozjs60 60.2.0 that broke ABI

* Mon Sep 10 2018 Kalev Lember <klember@redhat.com> - 1.54.0-3
- Rebuilt against fixed atk (#1626575)

* Thu Sep 06 2018 Kalev Lember <klember@redhat.com> - 1.54.0-2
- Sort BRs

* Thu Sep 06 2018 Kalev Lember <klember@redhat.com> - 1.54.0-1
- Update to 1.54.0
- Switch to building with mozjs60

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.52.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.52.3-2
- add BuildRequires: gcc-c++

* Tue May 08 2018 Kalev Lember <klember@redhat.com> - 1.52.3-1
- Update to 1.52.3

* Wed Apr 18 2018 Kalev Lember <klember@redhat.com> - 1.52.2-1
- Update to 1.52.2

* Tue Apr 10 2018 Kalev Lember <klember@redhat.com> - 1.52.1-1
- Update to 1.52.1

* Tue Mar 13 2018 Kalev Lember <klember@redhat.com> - 1.52.0-1
- Update to 1.52.0

* Sun Mar 11 2018 Kalev Lember <klember@redhat.com> - 1.51.92-1
- Update to 1.51.92

* Wed Feb 21 2018 Kalev Lember <klember@redhat.com> - 1.51.91-1
- Update to 1.51.91

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.51.90-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Feb 05 2018 Kalev Lember <klember@redhat.com> - 1.51.90-3
- Filter provides for private libraries

* Mon Feb 05 2018 Kalev Lember <klember@redhat.com> - 1.51.90-2
- Drop ldconfig scriptlets

* Mon Feb 05 2018 Kalev Lember <klember@redhat.com> - 1.51.90-1
- Update to 1.51.90

* Sat Feb 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.50.4-2
- Switch to %%ldconfig_scriptlets

* Sun Jan 28 2018 Kalev Lember <klember@redhat.com> - 1.50.4-1
- Update to 1.50.4

* Thu Jan 18 2018 Kalev Lember <klember@redhat.com> - 1.50.3-1
- Update to 1.50.3

* Wed Nov 01 2017 Kalev Lember <klember@redhat.com> - 1.50.2-1
- Update to 1.50.2

* Mon Oct 09 2017 Kalev Lember <klember@redhat.com> - 1.50.1-1
- Update to 1.50.1

* Wed Sep 20 2017 Kalev Lember <klember@redhat.com> - 1.50.0-2
- Simplify the spec file

* Wed Sep 20 2017 Kalev Lember <klember@redhat.com> - 1.50.0-1
- Update to 1.50.0

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.49.3-3
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.49.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 25 2017 Kalev Lember <klember@redhat.com> - 1.49.3-1
- Update to 1.49.3

* Wed Jun 14 2017 Kalev Lember <klember@redhat.com> - 1.49.2-3
- Don't use git to apply patches

* Tue Jun 13 2017 Bastien Nocera <hadess@hadess.net> - 1.49.2-2
- + gjs-1.48.3-3 Add fix for possible use-after-free crasher (bgo #781799)

* Mon Jun 12 2017 Kalev Lember <klember@redhat.com> - 1.49.2-1
- Update to 1.49.2

* Mon May 15 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.48.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Tue May 09 2017 Kalev Lember <klember@redhat.com> - 1.48.3-1
- Update to 1.48.3

* Fri Apr 21 2017 Kalev Lember <klember@redhat.com> - 1.48.2-1
- Update to 1.48.2

* Tue Apr 11 2017 Kalev Lember <klember@redhat.com> - 1.48.1-1
- Update to 1.48.1

* Tue Mar 21 2017 Kalev Lember <klember@redhat.com> - 1.48.0-1
- Update to 1.48.0

* Thu Mar 16 2017 Kalev Lember <klember@redhat.com> - 1.47.92-1
- Update to 1.47.92

* Wed Mar 01 2017 Kalev Lember <klember@redhat.com> - 1.47.91-3
- Set minimum mozjs38 version

* Wed Mar 01 2017 Kalev Lember <klember@redhat.com> - 1.47.91-2
- Temporarily work around mozjs intl api check

* Wed Mar 01 2017 Kalev Lember <klember@redhat.com> - 1.47.91-1
- Update to 1.47.91

* Wed Feb 15 2017 Kalev Lember <klember@redhat.com> - 1.47.90-2
- Set minimum required glib2 and gtk3 versions so that we can be sure
  distro upgrades pull them in as well.

* Wed Feb 15 2017 Kalev Lember <klember@redhat.com> - 1.47.90-1
- Update to 1.47.90
- Switch to building with mozjs38

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.47.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 15 2017 Kalev Lember <klember@redhat.com> - 1.47.4-2
- Remove lib64 rpaths

* Sun Jan 15 2017 Kalev Lember <klember@redhat.com> - 1.47.4-1
- Update to 1.47.4

* Thu Jan 12 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.47.0-3
- Rebuild for readline 7.x

* Thu Nov 10 2016 Florian Müllner <fmuellner@gnome.org> - 1.47.0-2
- Update %%files list

* Thu Nov 10 2016 Florian Müllner <fmuellner@gnome.org> - 1.47.0-1
- Update to 1.47.0

* Wed Sep 21 2016 Kalev Lember <klember@redhat.com> - 1.46.0-3
- Use make_install macro

* Wed Sep 21 2016 Kalev Lember <klember@redhat.com> - 1.46.0-2
- Don't set group tags

* Wed Sep 21 2016 Kalev Lember <klember@redhat.com> - 1.46.0-1
- Update to 1.46.0

* Tue Jul 19 2016 Florian Müllner <fmuellner@gnome.org> - 1.45.4-1
- Update to 1.45.4

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> - 1.45.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec 18 2015 Kalev Lember <klember@redhat.com> - 1.45.3-2
- Update project URL

* Fri Dec 18 2015 Kalev Lember <klember@redhat.com> - 1.45.3-1
- Update to 1.45.3

* Wed Oct 28 2015 Kalev Lember <klember@redhat.com> - 1.44.0-2
- Use license macro for COPYING

* Wed Oct 28 2015 Kalev Lember <klember@redhat.com> - 1.44.0-1
- Update to 1.44.0

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 1.43.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.43.3-2
- Rebuilt for GCC 5 C++11 ABI change

* Mon Dec 29 2014 Richard Hughes <richard@hughsie.com> - 1.43.3-1
- Update to 1.43.3

* Mon Sep 29 2014 Kalev Lember <kalevlember@gmail.com> - 1.42.0-2
- Drop a manual pkgconfig dep

* Mon Sep 29 2014 Kalev Lember <kalevlember@gmail.com> - 1.42.0-1
- Update to 1.42.0

* Fri Sep 05 2014 Matthias Clasen <mclasen@redhat.com> - 1.41.91-2
- Installed tests

* Mon Sep 01 2014 Kalev Lember <kalevlember@gmail.com> - 1.41.91-1
- Update to 1.41.91

* Sat Aug 16 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 1.41.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 1.41.4-2
- Don't force autoreconf

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 1.41.4-1
- Update to 1.41.4

* Thu Jun 26 2014 Richard Hughes <richard@hughsie.com> - 1.41.3-1
- Update to 1.41.3

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 1.40.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 15 2014 Kalev Lember <kalevlember@gmail.com> - 1.40.1-1
- Update to 1.40.1

* Sat Apr 05 2014 Kalev Lember <kalevlember@gmail.com> - 1.40.0-3
- Set minimum gobject-introspection version

* Sat Apr 05 2014 Kalev Lember <kalevlember@gmail.com> - 1.40.0-2
- Tighten -devel deps

* Tue Mar 25 2014 Richard Hughes <richard@hughsie.com> - 1.40.0-1
- Update to 1.40.0

* Tue Mar 04 2014 Richard Hughes <richard@hughsie.com> - 1.39.91-1
- Update to 1.39.91

* Wed Feb 19 2014 Richard Hughes <richard@hughsie.com> - 1.39.90-1
- Update to 1.39.90

* Wed Feb 05 2014 Adam Williamson <awilliam@redhat.com> - 1.39.3-2
- bump to mozjs24, buildrequire gtk+ for BGO #721838 fix

* Wed Jan 29 2014 Richard Hughes <richard@hughsie.com> - 1.39.3-1
- Update to 1.39.3

* Thu Jan 09 2014 Debarshi Ray <debarshir@gnome.org> - 1.39.0-2
- Update %%changelog

* Wed Nov 20 2013 Jasper St. Pierre <jstpierre@mecheye.net> - 1.39.0-1
- Update to 1.39.0

* Wed Sep 25 2013 Kalev Lember <kalevlember@gmail.com> - 1.38.1-1
- Update to 1.38.1

* Tue Sep 24 2013 Kalev Lember <kalevlember@gmail.com> - 1.38.0-1
- Update to 1.38.0

* Wed Aug 21 2013 Kalev Lember <kalevlember@gmail.com> - 1.37.6-1
- Update to 1.37.6

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 1.37.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 16 2013 Richard Hughes <richard@hughsie.com> - 1.37.4-1
- Update to 1.37.4

* Tue May 28 2013 Colin Walters <walters@verbum.org> - 1.37.1-2
- Switch to mozjs17

* Tue May 28 2013 Colin Walters <walters@verbum.org> - 1.37.1-1
- Update to 1.37.1

* Mon Apr 29 2013 Kalev Lember <kalevlember@gmail.com> - 1.36.1-1
- Update to 1.36.1

* Tue Mar 26 2013 Kalev Lember <kalevlember@gmail.com> - 1.36.0-1
- Update to 1.36.0

* Thu Mar 21 2013 Kalev Lember <kalevlember@gmail.com> - 1.35.9-1
- Update to 1.35.9

* Wed Feb 20 2013 Richard Hughes <richard@hughsie.com> - 1.35.8-1
- Update to 1.35.8

* Wed Feb 13 2013 Dennis Gilmore <dennis@ausil.us> - 1.35.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Matthias Clasen <mclasen@redhat.com> - 1.35.4-2
- Fix build

* Wed Jan 16 2013 Matthias Clasen <mclasen@redhat.com> - 1.35.4-1
- 1.35.4

* Thu Dec 20 2012 Kalev Lember <kalevlember@gmail.com> - 1.35.3-1
- Update to 1.35.3

* Thu Dec 20 2012 Kalev Lember <kalevlember@gmail.com> - 1.35.2-2
- Drop unused patches

* Tue Nov 20 2012 Richard Hughes <richard@hughsie.com> - 1.35.2-1
- Update to 1.35.2

* Tue Sep 25 2012 Kalev Lember <kalevlember@gmail.com> - 1.34.0-1
- Update to 1.34.0

* Wed Sep 19 2012 Richard Hughes <richard@hughsie.com> - 1.33.14-1
- Update to 1.33.14

* Thu Sep 06 2012 Richard Hughes <richard@hughsie.com> - 1.33.10-1
- Update to 1.33.10

* Tue Aug 21 2012 Richard Hughes <richard@hughsie.com> - 1.33.9-1
- Update to 1.33.9

* Thu Jul 19 2012 Dennis Gilmore <dennis@ausil.us> - 1.33.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 17 2012 Richard Hughes <richard@hughsie.com> - 1.33.4-1
- Update to 1.33.4

* Thu Jul 05 2012 Peter Robinson <pbrobinson@gmail.com> - 1.33.3-2
- Enable verbose build

* Tue Jun 26 2012 Richard Hughes <richard@hughsie.com> - 1.33.3-1
- Update to 1.33.3

* Sat Jun 09 2012 Matthias Clasen <mclasen@redhat.com> - 1.33.2-2
- fix build

* Thu Jun 07 2012 Richard Hughes <richard@hughsie.com> - 1.33.2-1
- Update to 1.33.2

* Wed Mar 28 2012 Richard Hughes <richard@hughsie.com> - 1.32.0-1
- Update to 1.32.0

* Wed Mar 21 2012 Matthias Clasen <mclasen@redhat.com> - 1.31.22-2
- bump g-i dep

* Wed Mar 21 2012 Matthias Clasen <mclasen@redhat.com> - 1.31.22-1
- 1.31.22

* Tue Mar 06 2012 Matthias Clasen <mclasen@redhat.com> - 1.31.20-2
- forgotten sources

* Tue Mar 06 2012 Matthias Clasen <mclasen@redhat.com> - 1.31.20-1
- 1.31.20

* Tue Feb 07 2012 Matthias Clasen <mclasen@redhat.com> - 1.31.10-4
- fix file list more

* Tue Feb 07 2012 Matthias Clasen <mclasen@redhat.com> - 1.31.10-3
- fix file lists

* Fri Jan 20 2012 Matthias Clasen <mclasen@redhat.com> - 1.31.10-2
- drop obsolete patch

* Fri Jan 20 2012 Matthias Clasen <mclasen@redhat.com> - 1.31.10-1
- 1.31.10

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> - 1.31.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 20 2011 Matthias Clasen <mclasen@redhat.com> - 1.31.6-1
- 1.31.6

* Fri Dec 02 2011 Karsten Hopp <karsten@redhat.com> - 1.31.0-2
- fix crash on PPC, bugzilla 749604

* Wed Nov 02 2011 Matthias Clasen <mclasen@redhat.com> - 1.31.0-1
- 1.31.0

* Tue Sep 27 2011 Ray Strode <rstrode@redhat.com> - 1.30.0-1
- Update to 1.30.0

* Wed Sep 21 2011 Matthias Clasen <mclasen@redhat.com> - 1.29.18-1
- 1.29.18

* Mon Sep 05 2011 Luis Bazan <lbazan@BAKER-FEDORA.(none)> - 1.29.17-2
- mass rebuild

* Wed Aug 31 2011 Matthias Clasen <mclasen@redhat.com> - 1.29.17-1
- 1.29.17

* Tue Aug 23 2011 Adam Williamson <awilliam@redhat.com> - 1.29.16-4
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
